#
# spec file for package perl-PDF-API2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PDF-API2
Version:        2.028
Release:        1.1
%define cpan_name PDF-API2
Summary:        Facilitates the creation and modification of PDF files
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PDF-API2/
Source0:        http://www.cpan.org/authors/id/S/SS/SSIMMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Zlib) >= 1.0
BuildRequires:  perl(Font::TTF)
Requires:       perl(Compress::Zlib) >= 1.0
Requires:       perl(Font::TTF)
%{perl_requires}

%description
Facilitates the creation and modification of PDF files

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes contrib LICENSE PATENTS README

%changelog
* Sun Jun 12 2016 coolo@suse.com
- updated to 2.028
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.028     2016-06-08
  - [RT #113290] Fix for reading objects inside an object stream in
    a large PDF (patch by Marco Pessotto).
  - Eliminate an infinite loop when reading a corrupt dictionary.
* Mon Mar 14 2016 coolo@suse.com
- updated to 2.027
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.027     2016-03-11
  - This release contains seven fixes for parsing PDFs.  They mostly
    affect files using cross-reference streams, which were first
    supported in the previous release.  Thanks to Marco Pessotto and
    Stuart Henderson for their help identifying and troubleshooting
    bugs.
  - Added contrib/pdf-debug.pl to help track down issues related to
    opening and parsing PDFs.
* Tue Mar  8 2016 coolo@suse.com
- updated to 2.026
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.026     2016-02-24
  - [RT #48683] Add support for PDFs with cross-reference streams
    and object streams (patch by Don Huettl of Grant Street Group).
  - [RT #107333] Accept an empty string as a valid Name, per PDF
    spec 1.7 section 7.3.5 (patch by Mark Balitsky).
  - [RT #98551] Rename aliases 2A, 4A, 2B, and 4B to 2A0, 4A0, 2B0,
    and 4B0.  The old names will continue to work, but are now
    undocumented (patch by Phil Perry).
  - Add -mils and -color as options for barcodes.  Reset linedash so
    that barcodes are always solid lines (patch by Erelen).
  - [RT #98549] Rename meterlimit to miterlimit (patch by Phil
    Perry).
  - [RT #98534] Rename hspace to hscale (patch by Phil Perry).
  - Fixed an infinite loop when RunLengthDecode is used for output.
  - [RT #65582] Fix embedding of OpenType fonts (fix by Simon Cozens).
  - [RT #67767] Allow an empty page to be imported into a PDF using
    importPageIntoForm (reported by Antti Lankila).
  - [RT #66341] Various fixes for ASCII85Decode and LZWDecode.
* Sat Sep 26 2015 coolo@suse.com
- updated to 2.025
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.025     2015-09-23
  - The previous release included a patch that broke compatibility
    with Perl 5.8.x.  The minimum supported version is now Perl
    5.8.5, and there is a .perl-version file to facilitate testing
    using plenv.
* Sun Sep 20 2015 coolo@suse.com
- updated to 2.024
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.024     2015-09-18
  - [RT #104133] Include all bounding boxes when importing a page
    (patch by Don Huettl of Grant Street Group).
  - [RT #104133] When retrieving bounding boxes for a page, fall
    back according to the defaults listed in the PDF spec (patch by
    Don Huettl of Grant Street Group).
  - Barcodes now take an optional -caption argument that will be
    printed beneath the barcode.  This can replace or be used in
    conjunction with the text representation of the barcode
    (requested by Gareth Tunley).
  - [RT #105581] Calls to width() in BaseFont are now significantly
    faster (patch by Dmitri Tikhonov).
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.023
  see /usr/share/doc/packages/perl-PDF-API2/Changes
  2.023     2014-09-12
  - The fix for [RT #69503] broke a previously-working case where a
    page object could be passed (and was expected).  The -firstpage
    option now accepts a page object or a page number.  Thanks to
    Marco Pessotto for the bug report and test.
* Fri Jul 25 2014 coolo@suse.com
- updated to 2.022
  - Added $pdf->version() get/set method.  When opening an existing
    PDF, the existing version number will now be retained.
  - Renamed the following in PDF::API2:
  - importpage to import_page
  - openScalar to open_scalar
    The old names are deprecated.
  - [RT #69503] Fix the -firstpage option to $pdf->preferences() so
    that it doesn't always lead to a crash (reported by Dietrich
    Streifert).
  - [RT #47974] Accept malformed xref subsections (with a warning)
    that have extraneous spaces on the first line (reported by
    Abhinav Kaushik).
  - [RT #94505] For Code128 barcodes, the initial character set is
    now optional (defaults to B or C depending on the content to be
    encoded).  The initial character set can be passed as a capital
    letter, and the program will die if an invalid character set is
    requested (requested by Andrea Nall).
  - Interleaved 2 of 5 barcodes now prepend a zero when an odd
    number of digits is specified, which is standard behavior.
    Previously, a zero was appended instead.
  - $page->rotate(0) now sets rotation to 0 degrees rather than
    deleting an existing page rotation command.  Page rotation is
    inherited, so this is necessary to undo any inherited page
    rotation.
  - Fix: Attempts to use EAN-128 barcodes resulted in an error.
  - Add a more informative error when text() is called without first
    setting a font(), and when font() is called without including a
    font size.
- remove work around only applied on 11.3 and 11.4
* Mon Mar 17 2014 coolo@suse.com
- updated to 2.021
  - Fixed numerous bugs in the string parsing code, including the
    one reported in [RT #63918] by Frank Doepper.
  - [RT #41049] Rewrote literal string parsing to prevent a stack
    overflow due to an inefficient regex (reported by Sergei
    Fetisov).
  - [RT #91822] Fix compression of GIF images to ensure that output
    codes don't exceed 12 bits (reported by Vadim Repin).
  - The RunLengthDecode filter didn't actually work.  Its code has
    been rewritten and now passes basic encoding and decoding tests.
  - Fix Code128 barcode switching from Code C to Code B in certain
    cases (reported by Doru Petrescu).
* Thu Aug  1 2013 chris@computersalat.de
- update to 2.020
  * Give a more informative error message when a PDF file using a
    cross-reference stream is encountered.  The Known Issues section
    of the documentation includes pointers on how to add support in
    case someone else can get to this before I do.
  * Text using TrueType fonts is now searchable again.  In version
    0.61, an undocumented -unicodemap option was added to nearly all
    of the font resource methods, which only included a ToUnicode
    CMap if it was set (and it's required in order for PDF readers
    to be able to identify individual characters if BaseEncoding
    isn't present, which it isn't for TrueType fonts).
    I've left the -unicodemap option in place, and it's still
    undocumented (except here), but it's now on by default.  Call
    $pdf->ttfont($fontfile, -unicodemap => 0) if you want to disable
    it for performance or file size reasons.
  * Add a note to the stringify method's documentation saying that
    it's a destructive operation.
  * The various filter types have their own classes in the
    PDF::API2::Basic::PDF::Filter namespace now, rather than having
    all of the packages in Filter.pm.
  * To facilitate testing and ensure that identically-generated PDFs
    have identical output in Perl 5.17.5 or later, PDF dictionary
    keys are now sorted during output.
* Thu Jun  7 2012 chris@computersalat.de
- fix License (spdx.org)
  * LGPL-2.1+
- fix description
* Tue Sep  6 2011 jw@suse.com
- workround broken Unicode::UCD in 11.4 and 11.3:
  We providing our own UnicodeData.txt to make
  t/00-all-usable.t happy.
* Thu Mar 31 2011 coolo@novell.com
- update to 2.019
  - [RT #66167] Fix a typo in the require statement for code128
    barcodes (TC Kuan).
  - Numerous modules are now only loaded when they're needed, which
    should help speed up the load time and reduce the memory
    footprint.
  - Test coverage is up to about 45%% of the codebase.
  - The tests in 2.017 exposed a floating point issue where some
    computers give more trailing zeros than others.  It doesn't
    affect the output, but it does break the tests on those
    computers, since the PDFs are slightly different.  This version
    modifies the float() method to remove trailing zeros, which
    should fix the test breakage and give consistent PDFs.
  - The DejaVu fonts have been removed from the distribution, since
    they were only used by one example script.  If you need them for
    your project, you can download them from http://dejavu-fonts.org
* Fri Dec 10 2010 coolo@novell.com
- fix buildrequires
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Fri Jan  8 2010 coolo@novell.com
- update to version 0.73
  - only released to get a "final" version
- build require perl-doc for the test suite
* Mon Jul 27 2009 coolo@novell.com
- merge factory and build service package
* Sun Nov 30 2008 lars@linux-schulserver.de
- initial version 0.72.003
* Sun Nov  4 2007 lmuelle@suse.de
- Update to version 0.66.
  - added movie annotation
  - replaced IOString dep. with scalar IO
  - many changes in font handling
  - fixed pnm bitmap decoding
  - added -printscalingnone option
  - added note on importintoform and importpage for existing pdf-file
  - renamed compress to compressFlate
  - fix tounicode option
  - added pageLabel method
  - fixed -twocolumnright option typo
  - changed import* methods to check its first arg
* Wed Jan 10 2007 lmuelle@suse.de
- Update to version 0.57.
  + fixed [rt.cpan.org #24203] Incompatibility in Wide character handling
* Fri Jan  5 2007 lmuelle@suse.de
- Update to version 0.56.
  + applied untested fix for acrobat 8 "<ident> TJ" bug
* Wed Oct 18 2006 lmuelle@suse.de
- Initial SUSE package of version 0.55.
